#!/usr/bin/perl

# Test suite to mesure performance of NuSMV

#base directory
$basedir = ".";

#command for a particular test
$testcommand = "$basedir/helpers/performance_test";

#examples directory
$exampledir = "examples/smv-dist";

#output directory
$outdir = "$basedir/tmp";


#set of thresholds to test performance
@threshold = (1 , 10 , 100 , 1000 , 2000 , 3000 , 4000 , 5000 , 6000 , 7000 , 8000 , 9000 , 10000 , 100000 , 1000000 , 10000000);




# execute performance test with Monolithic CP
$retval = system("$testcommand $basedir $exampledir \"-mono -f \" > $outdir/test-mono-0-reachability");

# execute performance test with  Threshold CP
foreach (@threshold) {
    $retval = system("$testcommand $basedir $exampledir \"-cp $_ -f \" > $outdir/test-threshold-$_-reachability");
		 }
# execute performance test with Iwls95 CP (with (pre)ordering)
foreach (@threshold) {
    $retval = system("$testcommand $basedir $exampledir \"-iwls95 $_ -f \" > $outdir/test-iwls95-$_-reachability-ordering");
		 }
# execute performance test with Iwls95 CP (NO (pre)ordering)
foreach (@threshold) {
    $retval = system("$testcommand $basedir $exampledir \"-iwls95 $_ -noiwls95preorder -f \" > $outdir/test-iwls95-$_-reachability-noordering");
}
